# Create Order UAT

## Create Order

<mark style="color:green;">`POST`</mark> `https://node-staging.billeasy.in/api/v1/clients/orders/`

This endpoint allows you to create orders.

#### Headers

| Name         | Type   | Description                         |
| ------------ | ------ | ----------------------------------- |
| x-api-access | string | `{Contact Billeasy Representative}` |
| x-api-secret | string | `{Contact Billeasy Representative}` |
| Content-Type | string | `application/json`                  |

{% tabs %}
{% tab title="200 " %}

```

BODY REQUEST:

{
    "store_uuid": "748bb916-74b3-48c3-9dbb-218363c67103",
    "terminal_uuid": "3f871522-f482-455f-97aa-c48465709425",
    "customer_id": "661",
    "tax": 12240,
    "total": 68000,
    "discount": 0,
    "delivery_fees": 0,
    "grand_total": 80240,
    "products": [
        {
            "name": "OnePlus 8",
            "quantity": 2,
            "unit_price": "34000",
            "total_amount": 68000
        }
    ],
    "offer_ids": [],
    "customer_name": "Rahul",
    "client_id": "319",
    "is_slot_integration": false,
    "order_shipping": {
        "id": "fdea1804-eb8d-499d-84f0-d615fa3807eb",
        "lat": 19.118226,
        "area": "Adani electricity Mumbai Ltd Receiving Station and customer care Centre, Cross Road B, Chakala Industrial Area (MIDC), Andheri East, Mumbai, Maharashtra, India",
        "city": "Mumbai Suburban",
        "long": 72.86837129999999,
        "name": "tru nativ adrs",
        "address": "09, suman apartment, santoshi mata road, kalyan west",
        "pincode": "400047",
        "locality": "Mumbai Suburban",
        "address_line1": "09, suman apartment, santoshi mata road, kalyan west",
        "order_type": "Courier Delivery",
        "customer_name": "Rawal",
        "alternate_number": ""
    },
    "mode_of_payment": "LINK/CASH",
    "order_status": "pending",
    "order_payment_status": "pending/settled",
    "multi_mode_of_payment": [],
    "bill_creation_method": "Send",
    "extra_fields":{custom key params can be passed here}
}
```

{% endtab %}

{% tab title="302 " %}

```
RESPONSE

{
    "success": true,
    "msg": "Order created successfully",
    "data": {
        "order_id": "561"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.billeasy.in/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
